xivo-ci
=======

Development tools for continuous integration


Running python unit tests
-------------------------

Installation on PC:

* Edit sources list `/etc/apt/sources.list` with sudo
* Add GPG key: `wget http://mirror.xivo.solutions/xivo_current.key -O - | sudo apt-key add -`
* Add repository `deb [arch=amd64] http://mirror.xivo.solutions/debian xivo-dev-tools main`
* Run `sudo apt-get update`
* Run `sudo apt-get install xivo-ci`

Running tests:

    ci-tox


Development
-----------

* Comment all parts of code where `docker push` is used in `xivocc-build.sh`.
* Build xivo-ci: `debuild -b`
* Install: `sudo dpkg -i path_to_xivo-ci..all.deb`
* Then you can run e.g. `BRANCH_OR_TAG=master xivocc-build.sh dev`


Deploy
------

* Build xivo-ci
* Install xivo-ci package on Jenkins
